> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get forward



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/GetForward
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Tradable/GetForward:
    post:
      tags:
        - Tradable
      summary: Get forward
      operationId: GetForward
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetForwardRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetForwardRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetForwardRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetForwardRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetForwardResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetForwardRequest:
      example:
        underlyer:
          reference_date: '2000-01-23T04:56:07.000+00:00'
        expiries:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
      properties:
        underlyer:
          $ref: '#/components/schemas/Asset'
        expiries:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetForwardRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetForwardResponse:
      example:
        forwards:
          - 0.8008281904610115
          - 0.8008281904610115
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        forwards:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetForwardResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Asset:
      discriminator:
        mapping:
          Derivitec.Web.Core.MarketData.Asset, Derivitec.Web.Core: '#/components/schemas/AssetMintlifyShape'
          Derivitec.Web.Core.MarketData.Commodity, Derivitec.Web.Core: '#/components/schemas/Commodity'
          Derivitec.Web.Core.MarketData.Equity, Derivitec.Web.Core: '#/components/schemas/Equity'
          Derivitec.Web.Core.MarketData.EquityVolIndex, Derivitec.Web.Core: '#/components/schemas/EquityVolIndex'
          Derivitec.Web.Core.MarketData.FxCross, Derivitec.Web.Core: '#/components/schemas/FxCross'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/AssetMintlifyShape'
        - $ref: '#/components/schemas/Commodity'
        - $ref: '#/components/schemas/Equity'
        - $ref: '#/components/schemas/EquityVolIndex'
        - $ref: '#/components/schemas/FxCross'
    AssetMintlifyShape:
      example:
        reference_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        reference_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Asset, Derivitec.Web.Core
      required:
        - $type
      type: object
    Commodity:
      example:
        futures_date: '2000-01-23T04:56:07.000+00:00'
        fixings:
          values:
            - 2.3021358869347655
            - 2.3021358869347655
          dates:
            - dates
            - dates
          asset_id: asset_id
        commodity_id:
          name: name
          exchange: exchange
        fixings_by_futures_code:
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
        roll_fixing: 9.018348186070783
        settlement_lag: 6
        futures_price: 8.762042012749001
        convenience_yield_curve:
          commodity_id:
            name: name
            exchange: exchange
          maturities:
            - 6
            - 6
          discount_factors:
            - 9.369310271410669
            - 9.369310271410669
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        discount_curve:
          curve_name: curve_name
          maturities:
            - 3
            - 3
          discount_factors:
            - 9.301444243932576
            - 9.301444243932576
          currency: currency
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        settlement_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
      properties:
        provider_id:
          nullable: true
          type: string
        reference_date:
          format: date-time
          type: string
        commodity_id:
          $ref: '#/components/schemas/CommodityId'
        convenience_yield_curve:
          $ref: '#/components/schemas/ConvenienceYieldCurve'
        discount_curve:
          $ref: '#/components/schemas/DiscountCurve'
        fixings:
          $ref: '#/components/schemas/Fixings'
        futures_date:
          format: date-time
          type: string
        futures_price:
          format: double
          type: number
        roll_fixing:
          format: double
          type: number
        settlement_calendar:
          $ref: '#/components/schemas/Calendar'
        settlement_lag:
          format: int32
          type: integer
        fixings_by_futures_code:
          items:
            $ref: '#/components/schemas/StringFixingsKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Commodity, Derivitec.Web.Core
      required:
        - $type
      type: object
    Equity:
      example:
        futures_date: '2000-01-23T04:56:07.000+00:00'
        yield_curve:
          curve_name: curve_name
          maturities:
            - 3
            - 3
          discount_factors:
            - 9.301444243932576
            - 9.301444243932576
          currency: currency
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        borrow_curve:
          asset_name: asset_name
          maturities:
            - 6
            - 6
          discount_factors:
            - 0.8008281904610115
            - 0.8008281904610115
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        fixings:
          values:
            - 2.3021358869347655
            - 2.3021358869347655
          dates:
            - dates
            - dates
          asset_id: asset_id
        roll_fixing: 1.2315135367772556
        settlement_lag: 1
        futures_price: 7.061401241503109
        dividends:
          declared_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          pay_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          all_in_rates:
            - 1.4658129805029452
            - 1.4658129805029452
          ex_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          div_types:
            - Regular
            - Regular
          confirmed_flags:
            - true
            - true
          cash_divs:
            - 5.962133916683182
            - 5.962133916683182
          div_yields:
            - 5.637376656633329
            - 5.637376656633329
          reference_date: '2000-01-23T04:56:07.000+00:00'
          record_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          currencies:
            - currencies
            - currencies
        name:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        fx_cross_map:
          key:
            domestic_discount_curve:
              curve_name: curve_name
              maturities:
                - 3
                - 3
              discount_factors:
                - 9.301444243932576
                - 9.301444243932576
              currency: currency
              extrapolate: true
              value_date: '2000-01-23T04:56:07.000+00:00'
            is_quoted_fx_cross: true
            fixings_by_source:
              - value:
                  values:
                    - 2.3021358869347655
                    - 2.3021358869347655
                  dates:
                    - dates
                    - dates
                  asset_id: asset_id
                key: key
              - value:
                  values:
                    - 2.3021358869347655
                    - 2.3021358869347655
                  dates:
                    - dates
                    - dates
                  asset_id: asset_id
                key: key
            roll_fixing: 2.027123023002322
            fx_pair: fx_pair
            spot: 7.386281948385884
            foreign_discount_curve:
              curve_name: curve_name
              maturities:
                - 3
                - 3
              discount_factors:
                - 9.301444243932576
                - 9.301444243932576
              currency: currency
              extrapolate: true
              value_date: '2000-01-23T04:56:07.000+00:00'
            high_fixings_by_source:
              - value:
                  values:
                    - 2.3021358869347655
                    - 2.3021358869347655
                  dates:
                    - dates
                    - dates
                  asset_id: asset_id
                key: key
              - value:
                  values:
                    - 2.3021358869347655
                    - 2.3021358869347655
                  dates:
                    - dates
                    - dates
                  asset_id: asset_id
                key: key
            low_fixings_by_source:
              - value:
                  values:
                    - 2.3021358869347655
                    - 2.3021358869347655
                  dates:
                    - dates
                    - dates
                  asset_id: asset_id
                key: key
              - value:
                  values:
                    - 2.3021358869347655
                    - 2.3021358869347655
                  dates:
                    - dates
                    - dates
                  asset_id: asset_id
                key: key
            settlement:
              foreign_calendar:
                holidays:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                name: name
                include_weekends: true
              settlement_lag: 4
              domestic_calendar:
                holidays:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                name: name
                include_weekends: true
              usd_calendar:
                holidays:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                name: name
                include_weekends: true
              is_special_lat_am_cross: true
        holiday_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
      properties:
        provider_id:
          nullable: true
          type: string
        reference_date:
          format: date-time
          type: string
        borrow_curve:
          $ref: '#/components/schemas/BorrowCurve'
        dividends:
          $ref: '#/components/schemas/Dividends'
        fixings:
          $ref: '#/components/schemas/Fixings'
        futures_date:
          format: date-time
          type: string
        futures_price:
          format: double
          type: number
        fx_cross_map:
          additionalProperties:
            $ref: '#/components/schemas/FxCross'
          nullable: true
          type: object
        holiday_calendar:
          $ref: '#/components/schemas/Calendar'
        name:
          $ref: '#/components/schemas/InstrumentIdentifier'
        roll_fixing:
          format: double
          type: number
        settlement_lag:
          format: int32
          type: integer
        yield_curve:
          $ref: '#/components/schemas/DiscountCurve'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Equity, Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndex:
      example:
        days_to_maturity: 6
        eq_vol_index_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        eq_asset_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        equity_vol_surface:
          asset_name:
            code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
        min_log_spot: 4.965218492984954
        fixings:
          values:
            - 2.3021358869347655
            - 2.3021358869347655
          dates:
            - dates
            - dates
          asset_id: asset_id
        spread_curve:
          eq_vol_index_id:
            code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          spreads:
            - 9.965781217890562
            - 9.965781217890562
          maturities:
            - 5
            - 5
          spread_type: additive
          reference_date: '2000-01-23T04:56:07.000+00:00'
        log_spot_step_size: 7.457744773683766
        annualisation_factor: 1.4894159098541704
        name: name
        max_log_spot: 1.1730742509559433
        equity:
          futures_date: '2000-01-23T04:56:07.000+00:00'
          yield_curve:
            curve_name: curve_name
            maturities:
              - 3
              - 3
            discount_factors:
              - 9.301444243932576
              - 9.301444243932576
            currency: currency
            extrapolate: true
            value_date: '2000-01-23T04:56:07.000+00:00'
          borrow_curve:
            asset_name: asset_name
            maturities:
              - 6
              - 6
            discount_factors:
              - 0.8008281904610115
              - 0.8008281904610115
            extrapolate: true
            value_date: '2000-01-23T04:56:07.000+00:00'
          fixings:
            values:
              - 2.3021358869347655
              - 2.3021358869347655
            dates:
              - dates
              - dates
            asset_id: asset_id
          roll_fixing: 1.2315135367772556
          settlement_lag: 1
          futures_price: 7.061401241503109
          dividends:
            declared_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            pay_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            all_in_rates:
              - 1.4658129805029452
              - 1.4658129805029452
            ex_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            div_types:
              - Regular
              - Regular
            confirmed_flags:
              - true
              - true
            cash_divs:
              - 5.962133916683182
              - 5.962133916683182
            div_yields:
              - 5.637376656633329
              - 5.637376656633329
            reference_date: '2000-01-23T04:56:07.000+00:00'
            record_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            currencies:
              - currencies
              - currencies
          name:
            code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          fx_cross_map:
            key:
              domestic_discount_curve:
                curve_name: curve_name
                maturities:
                  - 3
                  - 3
                discount_factors:
                  - 9.301444243932576
                  - 9.301444243932576
                currency: currency
                extrapolate: true
                value_date: '2000-01-23T04:56:07.000+00:00'
              is_quoted_fx_cross: true
              fixings_by_source:
                - value:
                    values:
                      - 2.3021358869347655
                      - 2.3021358869347655
                    dates:
                      - dates
                      - dates
                    asset_id: asset_id
                  key: key
                - value:
                    values:
                      - 2.3021358869347655
                      - 2.3021358869347655
                    dates:
                      - dates
                      - dates
                    asset_id: asset_id
                  key: key
              roll_fixing: 2.027123023002322
              fx_pair: fx_pair
              spot: 7.386281948385884
              foreign_discount_curve:
                curve_name: curve_name
                maturities:
                  - 3
                  - 3
                discount_factors:
                  - 9.301444243932576
                  - 9.301444243932576
                currency: currency
                extrapolate: true
                value_date: '2000-01-23T04:56:07.000+00:00'
              high_fixings_by_source:
                - value:
                    values:
                      - 2.3021358869347655
                      - 2.3021358869347655
                    dates:
                      - dates
                      - dates
                    asset_id: asset_id
                  key: key
                - value:
                    values:
                      - 2.3021358869347655
                      - 2.3021358869347655
                    dates:
                      - dates
                      - dates
                    asset_id: asset_id
                  key: key
              low_fixings_by_source:
                - value:
                    values:
                      - 2.3021358869347655
                      - 2.3021358869347655
                    dates:
                      - dates
                      - dates
                    asset_id: asset_id
                  key: key
                - value:
                    values:
                      - 2.3021358869347655
                      - 2.3021358869347655
                    dates:
                      - dates
                      - dates
                    asset_id: asset_id
                  key: key
              settlement:
                foreign_calendar:
                  holidays:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  name: name
                  include_weekends: true
                settlement_lag: 4
                domestic_calendar:
                  holidays:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  name: name
                  include_weekends: true
                usd_calendar:
                  holidays:
                    - '2000-01-23T04:56:07.000+00:00'
                    - '2000-01-23T04:56:07.000+00:00'
                  name: name
                  include_weekends: true
                is_special_lat_am_cross: true
          holiday_calendar:
            holidays:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            name: name
            include_weekends: true
      properties:
        provider_id:
          nullable: true
          type: string
        reference_date:
          format: date-time
          type: string
        annualisation_factor:
          format: double
          type: number
        days_to_maturity:
          format: int32
          type: integer
        eq_asset_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        equity:
          $ref: '#/components/schemas/Equity'
        equity_vol_surface:
          $ref: '#/components/schemas/EquityVolSurface'
        eq_vol_index_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        fixings:
          $ref: '#/components/schemas/Fixings'
        log_spot_step_size:
          format: double
          type: number
        max_log_spot:
          format: double
          type: number
        min_log_spot:
          format: double
          type: number
        name:
          nullable: true
          type: string
        spread_curve:
          $ref: '#/components/schemas/EquityVolIndexSpreadCurve'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityVolIndex, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxCross:
      example:
        domestic_discount_curve:
          curve_name: curve_name
          maturities:
            - 3
            - 3
          discount_factors:
            - 9.301444243932576
            - 9.301444243932576
          currency: currency
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        is_quoted_fx_cross: true
        fixings_by_source:
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
        roll_fixing: 2.027123023002322
        fx_pair: fx_pair
        spot: 7.386281948385884
        foreign_discount_curve:
          curve_name: curve_name
          maturities:
            - 3
            - 3
          discount_factors:
            - 9.301444243932576
            - 9.301444243932576
          currency: currency
          extrapolate: true
          value_date: '2000-01-23T04:56:07.000+00:00'
        high_fixings_by_source:
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
        low_fixings_by_source:
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
          - value:
              values:
                - 2.3021358869347655
                - 2.3021358869347655
              dates:
                - dates
                - dates
              asset_id: asset_id
            key: key
        settlement:
          foreign_calendar:
            holidays:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            name: name
            include_weekends: true
          settlement_lag: 4
          domestic_calendar:
            holidays:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            name: name
            include_weekends: true
          usd_calendar:
            holidays:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            name: name
            include_weekends: true
          is_special_lat_am_cross: true
      properties:
        provider_id:
          nullable: true
          type: string
        reference_date:
          format: date-time
          type: string
        domestic_discount_curve:
          $ref: '#/components/schemas/DiscountCurve'
        fixings_by_source:
          items:
            $ref: '#/components/schemas/StringFixingsKeyValuePair'
          nullable: true
          type: array
        high_fixings_by_source:
          items:
            $ref: '#/components/schemas/StringFixingsKeyValuePair'
          nullable: true
          type: array
        low_fixings_by_source:
          items:
            $ref: '#/components/schemas/StringFixingsKeyValuePair'
          nullable: true
          type: array
        fx_pair:
          nullable: true
          type: string
        roll_fixing:
          format: double
          type: number
        settlement:
          $ref: '#/components/schemas/FxSettlement'
        spot:
          format: double
          type: number
        foreign_discount_curve:
          $ref: '#/components/schemas/DiscountCurve'
        is_quoted_fx_cross:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.FxCross, Derivitec.Web.Core
      required:
        - $type
      type: object
    CommodityId:
      example:
        name: name
        exchange: exchange
      properties:
        name:
          nullable: true
          type: string
        exchange:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CommodityId, Derivitec.Web.Core
      required:
        - $type
      type: object
    ConvenienceYieldCurve:
      example:
        commodity_id:
          name: name
          exchange: exchange
        maturities:
          - 6
          - 6
        discount_factors:
          - 9.369310271410669
          - 9.369310271410669
        extrapolate: true
        value_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        commodity_id:
          $ref: '#/components/schemas/CommodityId'
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        extrapolate:
          type: boolean
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        value_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ConvenienceYieldCurve,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DiscountCurve:
      example:
        curve_name: curve_name
        maturities:
          - 3
          - 3
        discount_factors:
          - 9.301444243932576
          - 9.301444243932576
        currency: currency
        extrapolate: true
        value_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        curve_name:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        extrapolate:
          type: boolean
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        value_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core
      required:
        - $type
      type: object
    Fixings:
      example:
        values:
          - 2.3021358869347655
          - 2.3021358869347655
        dates:
          - dates
          - dates
        asset_id: asset_id
      properties:
        asset_id:
          nullable: true
          type: string
        dates:
          items:
            type: string
          nullable: true
          type: array
        values:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core
      required:
        - $type
      type: object
    Calendar:
      discriminator:
        mapping:
          Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core: '#/components/schemas/CalendarMintlifyShape'
          Derivitec.Web.Core.StaticData.CalendarIntersection, Derivitec.Web.Core: '#/components/schemas/CalendarIntersection'
          Derivitec.Web.Core.StaticData.CalendarUnion, Derivitec.Web.Core: '#/components/schemas/CalendarUnion'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/CalendarMintlifyShape'
        - $ref: '#/components/schemas/CalendarIntersection'
        - $ref: '#/components/schemas/CalendarUnion'
    StringFixingsKeyValuePair:
      example:
        value:
          values:
            - 2.3021358869347655
            - 2.3021358869347655
          dates:
            - dates
            - dates
          asset_id: asset_id
        key: key
      properties:
        key:
          nullable: true
          type: string
        value:
          $ref: '#/components/schemas/Fixings'
      type: object
    BorrowCurve:
      example:
        asset_name: asset_name
        maturities:
          - 6
          - 6
        discount_factors:
          - 0.8008281904610115
          - 0.8008281904610115
        extrapolate: true
        value_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        provider_id:
          nullable: true
          type: string
        asset_name:
          nullable: true
          type: string
        discount_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        extrapolate:
          type: boolean
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        value_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.BorrowCurve, Derivitec.Web.Core
      required:
        - $type
      type: object
    Dividends:
      example:
        declared_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        pay_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        all_in_rates:
          - 1.4658129805029452
          - 1.4658129805029452
        ex_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        div_types:
          - Regular
          - Regular
        confirmed_flags:
          - true
          - true
        cash_divs:
          - 5.962133916683182
          - 5.962133916683182
        div_yields:
          - 5.637376656633329
          - 5.637376656633329
        reference_date: '2000-01-23T04:56:07.000+00:00'
        record_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        currencies:
          - currencies
          - currencies
      properties:
        all_in_rates:
          items:
            format: double
            type: number
          nullable: true
          type: array
        cash_divs:
          items:
            format: double
            type: number
          nullable: true
          type: array
        confirmed_flags:
          items:
            type: boolean
          nullable: true
          type: array
        currencies:
          items:
            type: string
          nullable: true
          type: array
        declared_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        div_types:
          items:
            enum:
              - Regular
              - Extraordinary
              - Scrip
            type: string
          nullable: true
          type: array
        div_yields:
          items:
            format: double
            type: number
          nullable: true
          type: array
        ex_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        pay_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        record_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.Dividends, Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolSurface:
      example:
        asset_name:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        asset_name:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityVolSurface, Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndexSpreadCurve:
      example:
        eq_vol_index_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        spreads:
          - 9.965781217890562
          - 9.965781217890562
        maturities:
          - 5
          - 5
        spread_type: additive
        reference_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        eq_vol_index_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        spreads:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spread_type:
          enum:
            - additive
            - multiplicative
            - not_set
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolIndexSpreadCurve,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    FxSettlement:
      example:
        foreign_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
        settlement_lag: 4
        domestic_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
        usd_calendar:
          holidays:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          name: name
          include_weekends: true
        is_special_lat_am_cross: true
      properties:
        domestic_calendar:
          $ref: '#/components/schemas/Calendar'
        foreign_calendar:
          $ref: '#/components/schemas/Calendar'
        is_special_lat_am_cross:
          type: boolean
        settlement_lag:
          format: int32
          type: integer
        usd_calendar:
          $ref: '#/components/schemas/Calendar'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.FxSettlement, Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarMintlifyShape:
      example:
        holidays:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        name: name
        include_weekends: true
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarIntersection:
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.CalendarIntersection,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarUnion:
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.CalendarUnion, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````